
class splunkuniversalforwarder (
  $type                       = $splunkuniversalforwarder::params::type,
  $package_source             = $splunkuniversalforwarder::params::package_source,
  $splunk_os_user             = $splunkuniversalforwarder::params::splunk_os_user,
  $splunk_os_group            = $splunkuniversalforwarder::params::splunk_os_group,
  $splunk_bindip              = $splunkuniversalforwarder::params::splunk_bindip,
  $requireclientcert          = $splunkuniversalforwarder::params::requireclientcert,
  ) inherits splunkuniversalforwarder::params {

  case $::osfamily {
    /^[Ww]indows$/: {
      if $type == 'uf' {
        $splunk_home = 'c:/program files/splunkuniversalforwarder'
        $package = 'UniversalForwarder'
      } else {
        $splunk_home = 'c:/program files/splunk'
        $package = 'Splunk Enterprise'
      }
      if $splunk_os_user == undef {
        $real_splunk_os_user = 'S-1-5-18'
      }
      if $splunk_os_group == undef {
        $real_splunk_os_group = 'Administrators'
      }
      $real_splunk_dir_mode = '0775'
      $real_splunk_file_mode = '0774'
    }
    default: {
      if $type == 'uf' {
        $splunk_home = '/opt/splunkforwarder'
        $package = 'splunkforwarder'
      } else {
        $splunk_home = '/opt/splunk'
        $package = 'splunk'
      }
      if $splunk_os_user == undef {
        $real_splunk_os_user = 'splunk'
      }
      if $splunk_os_group == undef {
        $real_splunk_os_group = 'splunk'
      }
      $real_splunk_dir_mode = '0700'
      $real_splunk_file_mode = '0600'
    }
  }
